Scriptname SFTConfigMenuScript extends SKI_ConfigBase 

int disableMapFastTravelOID
int enableMessageConfirmationOID 
int ignoreScriptedFastTravelDisableOID

SFTConfigQuestScript Property Configuration Auto

bool FastTravelFromMapMenuDisabled = false
bool EnableMessageConfirmation = false
bool IgnoreScriptedFastTravelDisable = false

event OnPageReset(string page)
	SetCursorFillMode(TOP_TO_BOTTOM) 
	SetCursorPosition(0)
	AddHeaderOption("$SFT_CONFIGURATION")
	disableMapFastTravelOID = AddToggleOption("$SFT_DISABLE_MAP_FAST_TRAVEL", FastTravelFromMapMenuDisabled)
	enableMessageConfirmationOID = AddToggleOption("$SFT_ENABLE_MESSAGE_CONFIRMATION", EnableMessageConfirmation)
	AddEmptyOption()
	ignoreScriptedFastTravelDisableOID = AddToggleOption("$SFT_IGNORE_SCRIPTED_FT_DISABLED", IgnoreScriptedFastTravelDisable)
endEvent


Event OnOptionSelect(int a_option)

	If a_option == disableMapFastTravelOID
		FastTravelFromMapMenuDisabled = !FastTravelFromMapMenuDisabled
		Configuration.DisableMapFastTravel(FastTravelFromMapMenuDisabled)
		SetToggleOptionValue(disableMapFastTravelOID, FastTravelFromMapMenuDisabled)
	ElseIf a_option == enableMessageConfirmationOID
		EnableMessageConfirmation = !EnableMessageConfirmation
		Configuration.EnableMessageConfirmation(EnableMessageConfirmation)
		SetToggleOptionValue(enableMessageConfirmationOID, EnableMessageConfirmation)
	ElseIf a_option == ignoreScriptedFastTravelDisableOID
		IgnoreScriptedFastTravelDisable = !IgnoreScriptedFastTravelDisable
		Configuration.IgnoreScriptedFastTravelDisable(IgnoreScriptedFastTravelDisable)
		SetToggleOptionValue(ignoreScriptedFastTravelDisableOID, IgnoreScriptedFastTravelDisable)
	EndIf
	
EndEvent

Event OnOptionHighlight(int a_option)

	If a_option == disableMapFastTravelOID
		SetInfoText("$SFT_DISABLE_MAP_FAST_TRAVEL_DESC")
	ElseIf a_option == enableMessageConfirmationOID
		SetInfoText("$SFT_ENABLE_MESSAGE_CONFIRMATION_DESC")
	ElseIf a_option == ignoreScriptedFastTravelDisableOID
		SetInfoText("$SFT_IGNORE_SCRIPTED_FT_DISABLED_DESC")
	Else
		SetInfoText("")
	EndIf

EndEvent
