Scriptname SFTConfigQuestScript extends Quest  



GlobalVariable Property SFTIgnoreScriptedFastTravelDisable Auto
GlobalVariable Property SFTShowConfirmationMessage Auto


Function DisableMapFastTravel(bool abDisable)

	UnregisterForMenu("MapMenu")

	If abDisable
		RegisterForMenu("MapMenu")
	EndIf
	
	FastTravelFromMapMenuDisabled = abDisable
EndFunction


Function EnableMessageConfirmation(bool abEnable)
	SFTShowConfirmationMessage.SetValue(abEnable as Int)
EndFunction

Function IgnoreScriptedFastTravelDisable(bool abIgnore)
	SFTIgnoreScriptedFastTravelDisable.SetValue(abIgnore as Int)
EndFunction


bool FastTravelFromMapMenuDisabled
bool wasEnabled

Event OnMenuOpen(string menuName)
	wasEnabled = Game.IsFastTravelControlsEnabled()
	If menuName == "MapMenu" && FastTravelFromMapMenuDisabled
		Game.EnableFastTravel(False)
	EndIf
EndEvent

Event OnMenuClose(string menuName)
	If menuName == "MapMenu" && FastTravelFromMapMenuDisabled
		Game.EnableFastTravel(wasEnabled)
	EndIf
EndEvent