Scriptname SFTRoadsignActivatorScript extends ObjectReference  

Import Game

Actor Property PlayerRef Auto
GlobalVariable Property SFTIgnoreScriptedFastTravelDisable Auto
GlobalVariable Property SFTShowConfirmationMessage Auto

ObjectReference Property MapMarkerDestination Auto
Message Property ConfirmationMessage Auto

string sNoFastTravelDefault = "sNoFastTravelDefault"
string sNoFastTravelUndiscovered = "sNoFastTravelUndiscovered"



Event OnActivate(ObjectReference akActionRef)
	
	If akActionRef == PlayerRef

		If !Game.IsFastTravelEnabled() || (SFTIgnoreScriptedFastTravelDisable.GetValue() <= 0 && !Game.IsFastTravelControlsEnabled())
			Debug.Notification(Game.GetGameSettingString(sNoFastTravelDefault))
		ElseIf !MapMarkerDestination.CanFastTravelToMarker()
			Debug.Notification(Game.GetGameSettingString(sNoFastTravelUndiscovered))
		Else
			If SFTShowConfirmationMessage.GetValue() > 0
				If ConfirmationMessage.Show() == 0
					Game.FastTravel(MapMarkerDestination)
				EndIf
			Else
				Game.FastTravel(MapMarkerDestination)
			EndIf
			
		EndIf		

	EndIf

EndEvent
